#ifndef __SUTU3WIN_H__
#define __SUTU3WIN_H__

#include <gtkmm/window.h>
#include <gtkmm/button.h>
#include <gtkmm/box.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/entry.h>

#include "SutuSystem.h"

class Sutu3Win : public Gtk::Window {
public:
    Sutu3Win();
    virtual ~Sutu3Win();

protected:
  
    virtual void step_action();
    virtual void reset_action();

    
    Gtk::HBox    m_HBox0;
    Gtk::VBox    m_VBox1;

    Gtk::Button  m_butStep;
    Gtk::Button  m_butReset;
    Gtk::ScrolledWindow m_scrW;
    Gtk::Entry    m_txtW;

    

    SutuSystem *m_pSS;
    int m_iFirstRand;

 

};

#endif
